ContactsSend content

Send content

POST /contacts/{contact_id}/send_content

curl -X POST "https://app.bualpro.com/api/contacts/123/send_content" \
  -H "Content-Type: application/json" \
  -H "X-ACCESS-TOKEN: YOUR_API_KEY" \
  -d '{
  "messages": [
    {
      "message": {
        "text": "Hello world"
      }
    }
  ],
  "actions": [],
  "channel": "messenger"
}'
{}
POST
/contacts/{contact_id}/send_content
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-ACCESS-TOKEN)
X-ACCESS-TOKENstring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
channelstring
Options: messenger, sms, whatsapp, googleBM, telegram, instagram, rcs, viber, omnichannel
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-ACCESS-TOKENstring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

Body

application/json
channelstring
Allowed values:messengersmswhatsappgoogleBMtelegraminstagramrcsviberomnichannel

Responses

Run multiple actions and send multiple messages across all channels.

The source documents response descriptions but no response body schema. Do not infer that the response is empty.